Subject: Bug#4008: CVS texinfo docs won't format correctly with TeX

From: Rob Browning <[email-masked]>
Date: Fri, 2 Aug 1996 13:54:22 -0500

Package: cvs
Version: 1.8.1-1

The initial format fails because it can't find the file `CVSvn.texi'.

(760) tex cvs.texinfo
This is TeX, Version 3.1415 (C version 6.1)
(cvs.texinfo
Hyphenation patterns for british, english, french, german, spanish, loaded.
(/usr/lib/texmf/tex/misc/texinfo.tex Loading texinfo package [Version 2.151]:
Basics, fonts, page headings, tables, indexing, sectioning, toc printing,
environments, defuns, cross reference, and turning on texinfo input format.)kpathsea: Running MakeTeXTeX cvs.aux
kpathsea: Running MakeTeXTeX CVSvn.texi
! I can't find file `CVSvn.texi'.
<to be read again>
                   @endgroup
l.25 @include CVSvn.texi
Please type another input file name:
(/usr/lib/texmf/tex/latex/tools/.tex) [1] [2]
[...]
Output written on cvs.dvi (118 pages, 325624 bytes).
Transcript written on cvs.log. 

The result has some glitches (I assume because of the missing file),
but it's passable.  However, any subsequent attempt to reformat the
doc fails unless you delete all the auxillary files in the dir and
start from scratch.

(765) tex cvs.texinfo
[...]
! I can't find file `CVSvn.texi'.
<to be read again>
                   @endgroup
l.25 @include CVSvn.texi
Please type another input file name:
(/usr/lib/texmf/tex/latex/tools/.tex) [1] [2] (About this manual) [1] Chapter1
[2] [3] Chapter2 [4] [5] Chapter3 [6] [7] [8] Chapter4 [9] [10] [11] [12]
[13] [14] [15] [16] [17] Chapter5 [18] [19] [20] Chapter6 [21] [22] [23]
[24] [25] [26] [27] [28] [29] Chapter7 [30] [31] [32] [33] [34] Chapter8
[35] [36] [37] [38] Chapter9 [39] [40] Chapter10 [41] [42] Chapter11 [43]
[44] [45] Chapter12 [46] [47] Chapter13 [48] [49] Chapter14 [50] Chapter15
[51] [52]
! Undefined control sequence.
@Xlog-title ->log---Print out @rlog
                                    @ information for files
@refx ...ain.}@fi @fi @else @csname X#1@endcsname
                                                  @fi #2
@xrefX ...efx {#1-snt}{}}@space [@printednodename
                                                  ],@space @turnoffactive @p...
l.3452 use the @code{cvs log} command (@pxref{log}
                                                  ).[... more nastiness deleted ...] 

Not a big deal, but I thought I should mention it.

--
Rob